# seznam informací o všech filmech
# ~ zatím prázdný, ještě jsme žádná data nenačetli
filmy = []

# načtení dat o filmech z CSV-souboru
with open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor:
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # přidání informací o aktuálním filmu do seznamu
        filmy.append(
            # jedna pětiprvková n-tice
            (pořadí, název, rok, režisér, tržby)
        )

# výpis seznamu informací o všech fimech
def řadicí_funkce(prvek):
    print('-->', prvek)
    return prvek

for film in sorted(filmy, key=řadicí_funkce):
    print(film)

'''
--> ('1', "Philosopher's Stone", '2001', 'Chris Columbus', '$1,006,968,171')
--> ('2', 'Chamber of Secrets', '2002', 'Chris Columbus', '$879,602,366')
--> ('3', 'Prisoner of Azkaban', '2004', 'Alfonso Cuarón', '$797,361,618')
--> ('4', 'Goblet of Fire', '2005', 'Mike Newell', '$896,678,241')
--> ('5', 'Order of the Phoenix', '2007', 'David Yates', '$942,172,396')
--> ('6', 'Half-Blood Prince', '2009', 'David Yates', '$934,454,096')
--> ('7a', 'Deathly Hallows – Part 1', '2010', 'David Yates', '$977,043,483')
--> ('7b', 'Deathly Hallows – Part 2', '2011', 'David Yates', '$1,342,321,665')
('1', "Philosopher's Stone", '2001', 'Chris Columbus', '$1,006,968,171')
('2', 'Chamber of Secrets', '2002', 'Chris Columbus', '$879,602,366')
('3', 'Prisoner of Azkaban', '2004', 'Alfonso Cuarón', '$797,361,618')
('4', 'Goblet of Fire', '2005', 'Mike Newell', '$896,678,241')
('5', 'Order of the Phoenix', '2007', 'David Yates', '$942,172,396')
('6', 'Half-Blood Prince', '2009', 'David Yates', '$934,454,096')
('7a', 'Deathly Hallows – Part 1', '2010', 'David Yates', '$977,043,483')
('7b', 'Deathly Hallows – Part 2', '2011', 'David Yates', '$1,342,321,665')
'''
